%define module Period

Name: perl-%module
Version: 1.20
Release: ipl6mdk

Summary: Time::Period module for perl
License: GPL
Group: Development/Perl
Url: http://www.perl.com/CPAN/modules/by-module/Time/
BuildArch: noarch

Source: %url/%module-%version.tar.bz2

# Automatically added by buildreq on Wed Nov 06 2002
BuildRequires: perl-devel

%description
Period.pm is a Perl module that contains code to deal with time periods.
Currently, there is only a function in this module.  That function is
called inPeriod().

inPeriod() determines if a given time is within a given time period.
It will return 1 if it is, 0 if not, and -1 if either the time or the
period passed to it were malformed.  The time is specified in non-leap
year seconds past January 1, 1970, as per the time() function.  The period
is a string which is of the form described in Period's man page.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Period.html README
%perl_vendor_privlib/Time
%perl_vendor_man3dir/*

%changelog
* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 1.20-ipl6mdk
- rebuild with new perl

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.20-ipl5mdk
- Specfile minor cleanup (get rid of useless arch subdirs).

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.20-ipl4mdk
- Rebuilt with perl-5.6.1

* Fri Jun 19 2001 Grigory Milev <week@altlinux.ru> 1.20-ipl3mdk
- Spec rewritten for compatibility with new policy

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 1.20-1mdk
- macroszifications.

* Wed Jun 28 2000 Planel Nicolas <nicolas@mandrakesoft.com>
- Spec file was generated.

